local MAJOR_VERSION = "LibDogTag-2.0"
local MINOR_VERSION = tonumber(("$Revision: 59952 $"):match("%d+")) or 0

if MINOR_VERSION > _G.DogTag_MINOR_VERSION then
	_G.DogTag_MINOR_VERSION = MINOR_VERSION
end

DogTag_funcs[#DogTag_funcs+1] = function()

local L = DogTag.L

local RangeCheck
DogTag:AddAddonFinder("AceLibrary", "RangeCheck-1.0", function(v) RangeCheck = v end)

DogTag:AddTag("Range", {
	function(data)
		if not RangeCheck then
			return [[]]
		else
			return [[value = RangeCheckLib:getRangeAsString(${unit})]], 'globals', "RangeCheck-1.0", 'events', "Update"
		end
	end,
	ret = "string;nil",
	doc = L["Return the approximated range of unit, if RangeCheck-1.0 is available"],
	example = '[Range] => "5 - 15"',
	category = L["Status"]
})

end